summaryrefslogtreecommitdiffstats
path: root/source/l/M2Crypto/M2Crypto.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/M2Crypto/M2Crypto.SlackBuild')
-rwxr-xr-xsource/l/M2Crypto/M2Crypto.SlackBuild14
1 files changed, 8 insertions, 6 deletions
diff --git a/source/l/M2Crypto/M2Crypto.SlackBuild b/source/l/M2Crypto/M2Crypto.SlackBuild
index 28a7a45e..0491c1b7 100755
--- a/source/l/M2Crypto/M2Crypto.SlackBuild
+++ b/source/l/M2Crypto/M2Crypto.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=M2Crypto
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -62,6 +62,7 @@ find . \
-exec chmod 644 {} \+
python setup.py install --root=$PKG || exit 1
+python3 setup.py install --root=$PKG || exit 1
mkdir -p $PKG/usr/doc/M2Crypto-$VERSION
cp -a \
@@ -70,9 +71,9 @@ cp -a \
# Embed required dep typing module:
cd $TMP
-rm -rf typing-3.7.4
-tar xvf $CWD/typing-3.7.4.tar.xz || exit 1
-cd typing-3.7.4 || exit 1
+rm -rf typing-3.7.4.1
+tar xvf $CWD/typing-3.7.4.1.tar.xz || exit 1
+cd typing-3.7.4.1 || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -80,10 +81,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
python setup.py install --root=$PKG || exit 1
-mkdir -p $PKG/usr/doc/typing-3.7.4
+python3 setup.py install --root=$PKG || exit 1
+mkdir -p $PKG/usr/doc/typing-3.7.4.1
cp -a \
CHANGES INSTALL* LICENCE* PKG-INFO README* doc/* \
- $PKG/usr/doc/typing-3.7.4
+ $PKG/usr/doc/typing-3.7.4.1
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \